#ifndef _AX12_INSTRUCTIONS_H_
#define _AX12_INSTRUCTIONS_H_

/** @brief AX-12 control table */
typedef enum _AX12_ADDRESS
{
  AA_MODEL_NUMBER_L = 0x00,
  AA_MODEL_NUMBER_H,
  AA_FIRMWARE,
  AA_ID,
  AA_BAUD_RATE,
  AA_DELAY_TIME,
  AA_CW_ANGLE_LIMIT_L,
  AA_CW_ANGLE_LIMIT_H,
  AA_CCW_ANGLE_LIMIT_L,
  AA_CCW_ANGLE_LIMIT_H,
  AA_RESERVED_1,
  AA_HIGHEST_LIMIT_TEMP,
  AA_LOWEST_LIMIT_VOLTAGE,
  AA_HIGHEST_LIMIT_VOLTAGE,
  AA_MAX_TORQUE_L,
  AA_MAX_TORQUE_H,
  AA_STATUS_RETURN_LEVEL,
  AA_ALARM_LED,
  AA_ALARM_SHUTDOWN,
  AA_RESERVED_2,
  AA_DOWN_CALIBRATION_L,
  AA_DOWN_CALIBRATION_H,
  AA_UP_CALIBRATION_L,
  AA_UP_CALIBRATION_H,
  AA_TORQUE_ENABLE,
  AA_LED,
  AA_CW_COMPLIANCE_MARGIN,
  AA_CCW_COMPLIANCE_MARGIN,
  AA_CW_COMPLIANCE_SLOPE,
  AA_CCW_COMPLIANCE_SLOPE,
  AA_GOAL_POSITION_L,
  AA_GOAL_POSITION_H,
  AA_MOVING_SPEED_L,
  AA_MOVING_SPEED_H,
  AA_TORQUE_LIMIT_L,
  AA_TORQUE_LIMIT_H,
  AA_PRESENT_POSITION_L,
  AA_PRESENT_POSITION_H,
  AA_PRESENT_SPEED_L,
  AA_PRESENT_SPEED_H,
  AA_PRESENT_LOAD_L,
  AA_PRESENT_LOAD_H,
  AA_PRESENT_VOLTAGE,
  AA_PRESENT_TEMP,
  AA_PRESENT_REGINST,
  AA_RESERVED_3,
  AA_MOVING,
  AA_LOCK,
  AA_PUNCH_L,
  AA_PUNCH_H

}AX12_ADDRESS;

#endif/*_AX12_INSTRUCTIONS_H_*/
